# logicmonitor_facts – Collect facts about LogicMonitor objects

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- LogicMonitor is a hosted, full-stack, infrastructure monitoring platform.
- This module collects facts about hosts and host groups within your LogicMonitor account.

## Requirements

The below requirements are needed on the host that executes this module.

- An existing LogicMonitor account
- Linux

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
collector - |  | The fully qualified domain name of a collector in your LogicMonitor account. This is optional for querying a LogicMonitor host when a displayname is specified. This is required for querying a LogicMonitor host when a displayname is not specified.
company - / required |  | The LogicMonitor account company name. If you would log in to your account at "superheroes.logicmonitor.com" you would use "superheroes".
displayname - | Default: "hostname -f" | The display name of a host in your LogicMonitor account or the desired display name of a device to add into monitoring.
fullpath - |  | The fullpath of the hostgroup object you would like to manage. Recommend running on a single ansible host. Required for management of LogicMonitor host groups (target=hostgroup).
hostname - | Default: "hostname -f" | The hostname of a host in your LogicMonitor account, or the desired hostname of a device to add into monitoring. Required for managing hosts (target=host).
password - / required |  | The password for the chosen LogicMonitor User. If an md5 hash is used, the digest flag must be set to true.

target
- / required

Choices:
- host
- hostgroup

The LogicMonitor object you wish to manage.

user - / required |  | A LogicMonitor user name. The module will authenticate and perform actions on behalf of this user.

## Notes

Note

- You must have an existing LogicMonitor account for this module to function.

## Examples

    # Always run those modules on localhost using delegate_to:localhost, or localaction

    - name: query a list of hosts
      logicmonitor_facts:
        target: host
        company: yourcompany
        user: Luigi
        password: ImaLuigi,number1!
      delegate_to: localhost

    - name: query a host group
      logicmonitor_facts:
        target: hostgroup
        fullpath: /servers/production
        company: yourcompany
        user: mario
        password: itsame.Mario!
      delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ethan Culler-Mayeno (@ethanculler)
- Jeff Wozniak (@woz5999)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.